<?
session_start();
if(strlen($brcode)<=0)
{
 print "<script> alert('Session timed out'); parent.document.location='../ind.php'; </script>";
 return;
}

include("../../opendb.php");
include("../../test.php");
$us=mysqli_query($db,"select level from bruser where username='$user'")or die(mysqli_error($db));
$r=mysqli_fetch_row($us);
$user_level=$r[0];

$dt=$y.'-'.$m.'-'.$d;
if($user_level<=4)
{
$sq="select to_days(curdate())-to_days('$dt')";
$dtre=mysqli_query($db,$sq)or die(mysqli_error($db));
$dtrow=mysqli_fetch_row($dtre);

if($dtrow[0]>2 || $dtrow[0]<0)
{
 print "<script> alert('Invalid Date, Entry possible for last 2 days only'); history.back(1); </script>";
 return;
}
}

$res=mysqli_query($db,"select max(jvno) from journal2 where brcode='$brcode'");
 $row=mysqli_fetch_row($res);
 if($row[0]<=0)
  $jvno=1;
 else
  $jvno=($row[0]+1);


$dt=$y.'-'.$m.'-'.$d;
$i=0;
/*if(count($dr)<=0)
{
 print "<script> alert('Invalid Entry - Debit'); history.back(1); </script>";
 return;
}
if( count($cr)<=0)
{
 print "<script> alert('Invalid Entry - Credit'); history.back(1); </script>";
 return;
}

foreach($dr as $a)
{
 $drs[$i]=$a; 
 $i++;
}


for($x=0;$x<$i;$x++)
{
  for($y=0;$y<$x;$y++)
     { 
         if($drs[$x]==$drs[$y])
           print "<script>alert('Duplicate entry - $drs[$x]'); history.back(1) </script>";
     }
}


$i=0;
foreach($cr as $a)
{
 $crs[$i]=$a; 
 $i++;
}


for($x=0;$x<$i;$x++)
{
  for($y=0;$y<$x;$y++)
     { 
         if($crs[$x]==$crs[$y])
           print "<script>alert('Duplicate entry - $crs[$x]'); history.back(1) </script>";
     }
}


for($x=0;$x<$i;$x++)
{
  for($y=0;$y<$i;$y++)
     { 
        if($drs[$x]==$crs[$y])
          print "<script> alert('Invalid Entry - $drs[$x]'); history.back(1) </script>";
     }
}

foreach($dr_amt as $a)
{ 
 if($a<=0)
 {
           print "<script> alert('Invalid Amount - $a'); history.back(1) </script>";
 }
}

foreach($cr_amt as $a)
{ 
 if($a<=0 )
 {
           print "<script> alert('Invalid Amount - $a'); history.back(1) </script>";
 }
}
*/
//***********************
$i=0;
foreach($dr as $a)
{
 $dr[$i]=$a; 
 $i++;
}

$i=0;
foreach($dr_amt as $a)
{
 $dramt[$i]=$a; 
 $i++;
}
$i=0;
foreach($dr_narr as $a)
{
 $drnarr[$i]=$a; 
 $i++;
}
$i=0;
foreach($ag as $a)
{
 $again[$i]=$a;$i++;
}
$i=0;
foreach($dragain as $a)
{
 $dr_again[$i]=$a;$i++;
}
$i=0;
foreach($dragval as $a)
{
 $dr_agval[$i]=$a;$i++;
}

$rs=mysqli_query($db,"select max(bpno) from bnkpay where brcode='$brcode'");
$cr_row=mysqli_fetch_row($rs);
 if($cr_row[0]<=0)
   $bpno=1;
 else   
   $bpno=$cr_row[0]+1;

for($j=0;$j<$i;$j++)
{
 $sql="insert into journal2 values('$dt','$jvno','Dr','$dr[$j]','$dramt[$j]','0','$drnarr[$j].(BP:$bpno)','$brcode','BP','$dr_again[$j]','$dr_agval[$j]','$bpno')";

 mysqli_query($db,$sql)or die(mysqli_error($db));

 $sql="insert into bnkpay values('$dt','$bpno','Dr','$dr[$j]','$dramt[$j]','0','$drnarr[$j].(JV:$jvno)','$brcode','$jvno','$dr_again[$j]','$dr_agval[$j]','')";

 mysqli_query($db,$sql)or die(mysqli_error($db));

print "<script> window.open('prnvoucher.php?jvno=$jvno'); </script>";

}

//***********************
$i=0;
foreach($cr as $a)
{
 $cr[$i]=$a; 
 $i++;
}

$i=0;
foreach($cr_amt as $a)
{
 $cramt[$i]=$a; 
 $i++;
}
$i=0;
foreach($cr_narr as $a)
{
 $crnarr[$i]=$a; 
 $i++;
}

$i=0;
foreach($cragain as $a)
{
 $cr_again[$i]=$a;$i++;
}
$i=0;
foreach($cragval as $a)
{
 $cr_agval[$i]=$a;$i++;
}

for($j=0;$j<$i;$j++)
{
 $sql="insert into journal2 values('$dt','$jvno','Cr','$cr[$j]','0','$cramt[$j]','$crnarr[$j].(BP:$bpno)','$brcode','BP','$cr_again[$j]','$cr_agval[$j]','$bpno')";
mysqli_query($db,$sql) or die(mysqli_error($db));

 $sql="insert into bnkpay values('$dt','$bpno','Cr','$cr[$j]','0','$cramt[$j]','$crnarr[$j].(JV:$jvno)','$brcode','$jvno','$cr_again[$j]','$cr_agval[$j]','')";
mysqli_query($db,$sql) or die(mysqli_error($db));

}
print "<font color=green>Data has been posted</font><br>";
log_entry($brcode,$user,$REMOTE_ADDR,"Bank Payment JVNo: $jvno, BPNo: $bpno");
include("bpay.php");
?>
